#' AHP Survey package
#'
#' The ``ahpsurvey`` package provides a workflow for researchers to reformat data and run analytic hierarchy process on data that are originally formatted using the survey data entry mode. A diversified toolbox is available for researchers to explore ways to impute missing pairwise comparisons or to adjust comparisons based on consistency, and to conveniently customize the methods which weights derived from surveys are extracted and aggregated.
#'
#' @docType package
#'
#' @author Frankie Cho \email{htcho@connnect.hku.hk}
#'
#' @name ahpsurvey
#'
#' @keywords Analytic Hierarchy Process
#'
#' @import Rdpack dplyr
#'
#' @importFrom Rdpack reprompt
#'
#' @importFrom magrittr %>%
#'
#' @importFrom stats sd
#'
#' @importFrom stats quantile
#'
NULL
